Subject: [BEHAVE] nit on stateless document

From: marcelo bagnulo braun <[email-masked]>
Date: Fri, 30 Oct 2009 11:04:26 +0100

the stateless document reads:

   An IPv6 link has to have an MTU of 1280 bytes or greater.  The
   corresponding limit for IPv4 is 68 bytes.

I guess it is 576 bytes?

Regards, marcelo

---

From: Iljitsch van Beijnum <[email-masked]>
Date: Fri, 30 Oct 2009 11:25:34 +0100

> I guess it is 576 bytes?

RFC 791:

     Every internet module must be able to forward a datagram of 68
     octets without further fragmentation.  This is because an internet
     header may be up to 60 octets, and the minimum fragment is 8  
octets.

     Every internet destination must be able to receive a datagram of  
576
     octets either in one piece or in fragments to be reassembled.

RFC 1144:

    To illustrate, note that for a 9600 bps line with header compression
    there is essentially no benefit in increasing the MTU beyond 200  
bytes:
    If the MTU is increased to 576, the average delay increases by 188%
    while throughput only improves by 3% (from 96 to 99%).

RFC 1191:

    Plateau    MTU    Comments                      Reference
    ------     ---    --------                      ---------
               65535  Official maximum MTU          RFC 791
               65535  Hyperchannel                  RFC 1044
    65535
    32000             Just in case
               17914  16Mb IBM Token Ring           ref. [6]
    17914
               8166   IEEE 802.4                    RFC 1042
    8166
               4464   IEEE 802.5 (4Mb max)          RFC 1042
               4352   FDDI (Revised)                RFC 1188
    4352 (1%)
               2048   Wideband Network              RFC 907
               2002   IEEE 802.5 (4Mb recommended)  RFC 1042
    2002 (2%)
               1536   Exp. Ethernet Nets            RFC 895
               1500   Ethernet Networks             RFC 894
               1500   Point-to-Point (default)      RFC 1134
               1492   IEEE 802.3                    RFC 1042
    1492 (3%)
               1006   SLIP                          RFC 1055
               1006   ARPANET                       BBN 1822
    1006
               576    X.25 Networks                 RFC 877
               544    DEC IP Portal                 ref. [10]
               512    NETBIOS                       RFC 1088
               508    IEEE 802/Source-Rt Bridge     RFC 1042
               508    ARCNET                        RFC 1051
    508 (13%)
               296    Point-to-Point (low delay)    RFC 1144
    296
    68                Official minimum MTU          RFC 791

(note that "296" doesn't appear in RFC 1144.)